viking (1.8-1) unstable; urgency=medium

  * [cdac85cc] New upstream version 1.8 (Closes: #964031)
  * [5776455f] Update d/copyright for new upstream
  * [e1a10e06] Drop gps_api_9_support patch as upstream did something
    similar
  * [f8313c19] Add upstream patch to remove gnome-doc-utils usage
    (Closes: #947541)
  * [d82c217e] Add geocluelayer.xml_not_included.patch
  * [440206a9] Add myself as uploader
  * [695799aa] Add missing Build-Depends from upstreams list of
    requirements
  * [a2da0374] Update libmapnik-dev supported architectures
  * [c1b4a932] wrap-and-sort d/control
  * [53f8853d] Bump debhelper compat via debhelper-compat
  * [1190e2e6] Drop unused
    fix-IT_PROG_INTLTOOL-and-AM_GNU_GETTEXT-conflict.patch
  * [22d8a0db] Add Depends on yelp to show the help

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Jul 2020 17:30:19 +0200

viking (1.7-2) unstable; urgency=medium

  * [809f9c42] updating .gitlab-ci.yml
  * [97fdf04c] Support gps.h API 9.
    Thanks to Mattia Rizzolo (Closes: #948777)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 14 Jan 2020 22:48:25 +0100

viking (1.7-1) unstable; urgency=medium

  * [52e02dc1] New upstream version 1.7
  * [271f7f44] Refreshing patches.
  * [72021c78] Add .gitlab-ci.yml
  * [65f08de8] snapshot changelog
  * [daf9b299] Don't build doc files.
    (refreshed version of old patch)
  * [8ec9f18e] Add libgeoclue-2-dev as build-dep.
  * [9ee585c6] Add liboauth-dev as build-dep
  * [573f1f9a] Build-depend on nettle-dev.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 18:33:20 +0100

viking (1.6.2-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * [a5b7fcb2] Ignore test failures on Big Endian (Closes: #911845)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 27 Oct 2018 21:24:18 -0400

viking (1.6.2-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * [775f827c] Update Vcs fields for migration to https://salsa.debian.org/
  * [70271eaa] Bump debhelper compat to 11
  * [aa6eb0a0] Drop menu file since viking includes a .desktop file
  * [f6890f37] Drop Build-Depends on rarian (Closes: #885608)
  * [1fc7f65a] Add build-without-scrollkeeper.patch
  * [7b2dfdf7] Don't ignore build test failures

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Oct 2018 17:09:03 -0400

viking (1.6.2-3) unstable; urgency=medium

  * [ab2b5a08] Fix build on hurd.
  * [279040da] Mapnik is missing on alpha, too.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Nov 2016 00:15:50 +0100

viking (1.6.2-2) unstable; urgency=medium

  * [da432658] Restrict libmapnic-dev to arches where it is available.
  * [be004293] Bump to compat level 10.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Nov 2016 22:16:09 +0100

viking (1.6.2-1) unstable; urgency=medium

  * [ecf9c6a2] Imported Upstream version 1.6
  * [2f959064] Imported Upstream version 1.6
  * [52a3e6e3] New upstream version 1.6.2
    Closes: #833578
  * [07801c5d] Disable unused patches.
  * [8ea20e90] Refreshing patches.
  * [e0914a3d] Snapshot changelog.
  * [8e9cf766] refresh no-doc patch
  * [ddc24542] add mapnik-dev as build-dep and build with it.
  * [fcc01d07] Have an extra intltoolize run.
  * [d6aadaf5] Also ensure that make doesn;t want to build doc.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 03 Oct 2016 01:18:31 +0200

viking (1.6-1) unstable; urgency=medium

  * [11136d29] Imported Upstream version 1.6
  * [8cca0e43] Add new upstream dependency: libsqlite3-dev
  * [f1e62fef] Replace libexif by gexiv2
  * [cb0ad3e5] Update patch no_doc-dir
  * [d9a7723c] Remove patch set_subdir-objects as it is applied upstream
  * [a8fb82f2] Disable mapnik support
  * [73285b0f] Add patch to fix IT_PROG_INTLTOOL and AM_GNU_GETTEXT conflict
  * [2d0081c0] Update gbp.conf to new rules
  * [af25cd4b] Activate hardening options

 -- Guilhem Bonnefille <guilhem.bonnefille@gmail.com>  Sun, 30 Aug 2015 16:52:00 +0200

viking (1.5.1-1) unstable; urgency=medium

  * [53625f28] Fixing watch file to handle .bz2 files.
  * [c7c0831f] Imported Upstream version 1.5.1 (Closes: #748731)
  * [c2888d34] refreshing patches.
  * [28b313f6] Add missig build-dependencies.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 May 2014 21:01:25 +0200

viking (1.4.2-2) unstable; urgency=low

  [ Hideki Yamane ]
  * debian/rules
    - add autoreconf to dh to fix FTBFS (Closes: #725529)
    - not dh --with quilt but use source format 3.0
  * debian/control
    - add "Build-Depends: dh-autoreconf"
  * set debian/source/format as "3.0 (quilt)"
  * debian/patches
    - add set_subdir-objects.patch
    - add no_doc-dir.patch

  [ Bernd Zeimetz ]
  * Applying patch from Hideki Yamane. Thanks a lot!

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Nov 2013 14:20:32 +0100

viking (1.4.2-1) unstable; urgency=low

  * [953c9042] Imported Upstream version 1.4.2 (Closes: #690981)
  * [4a6b0d90] Refreshing patches.
  * [7d8b6307] Depend on gpsbabel.
    Thanks to Celelibi (Closes: #684061)
  * [a078d2bb] Recommend expect-dev for unbuffer.
    Thanks to Uwe Storbeck (Closes: #685085)
    [e62f66ae] Depend on newer automake versions.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 29 Aug 2013 22:25:07 +0200

viking (1.3-1) unstable; urgency=low

  * [a3f95c12] Imported Upstream version 1.3
  * [ab0442aa] Drop GPSD-API-v5 patch, applied upstream.
  * [6890fcb6] Add libexif-dev as build dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Apr 2012 21:44:56 +0200

viking (1.2.2-1) unstable; urgency=low

  * [cd56f671] Imported Upstream version 1.2.2 (Closes: #655084)
  * [3e2c3732] Removing curl-ftbfs-fix.patch, applied upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Jan 2012 14:57:31 +0100

viking (1.2.1-3) unstable; urgency=low

  * [adbf9d87] Make viking build with libgps20 / APIv5.
    Thanks to Robert Norris (Closes: #648494)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Nov 2011 14:58:00 +0100

viking (1.2.1-2) unstable; urgency=low

  * [81581646] Don't include curl/types.h as its deprecated and removed.
    Thanks to Lucas Nussbaum (Closes: #639062)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 08 Oct 2011 11:24:21 +0200

viking (1.2.1-1) unstable; urgency=low

  * [e81daa57] Imported Upstream version 1.2.1
  * [1afd3ad4] Don't run dh_autoreconf.
    Seems to fail due to missing files in the tarball.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Jul 2011 10:50:29 +0200

viking (1.1-1) unstable; urgency=low

  * [271c7221] Imported Upstream version 1.1
  * [7aed446e] Refreshing patches. Dropping those which were applied
    upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Feb 2011 21:52:13 +0100

viking (0.9.94-3) unstable; urgency=low

  * [f5016ac4] Fix spelling error in the long description. (Closes:
    #601438) - thanks to Ralf Treinen
  * [2adbd71c] Add patch to include a missing -lz in src/Makefile.am
  * [e69887c6] Use dh_autoreconf as src/Makefile.am was patched.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Nov 2010 21:17:23 +0100

viking (0.9.94-2) unstable; urgency=low

  * [6c407676] Add patch to fix segfault when using gpsbabel. (Closes:
    #599048) - thanks to Rob Norris and Alexander Fell.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Oct 2010 18:59:08 +0200

viking (0.9.94-1) unstable; urgency=low

  * [96e56c75] Imported Upstream version 0.9.94
  * [477b715c] Add new build-dependency: gnome-doc-utils >= 0.3.2
  * [597b155a] Add rarian-compat | scrollkeeper as build dependency.
  * [a0aa7553] Tidy up debian/rules using dh features only.
  * [1f144180] Ignore errors in the test suite for now.
  * [5069b36f] Order with options for dh properly, remove where not
    necessary.
  * [02e43ae0] No need to clean config.sub and config.guess anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Jul 2010 13:09:14 +0200

viking (0.9.93-1) unstable; urgency=low

  * [f12bb468] Remove Google from the long descriptio.
  * [4922d64e] Imported Upstream version 0.9.93
  * [86139278] Add debian/source/format.
  * [d03d0138] Add debian/README.source file.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 21 Apr 2010 11:21:48 +0200

viking (0.9.92-1) unstable; urgency=low

  * [5d0ca3d7] Imported Upstream version 0.9.92
  * [8b4c8c78] Include example files in the packaging. (Closes: #575034)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 22 Mar 2010 23:44:56 +0100

viking (0.9.91-1) unstable; urgency=low

  * [41442055] Imported Upstream version 0.9.91
  * [55d95585] Dropping libgps-2.90-fix patch, applied upstream.
  * [95bdb707] Bumping Standards-Version to 3.8.4. No changes needed.
  * [73f2c3b1] Drop bashism-fix patch, applied upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 11 Feb 2010 12:07:19 +0100

viking (0.9.9-3) unstable; urgency=low

  * [90eee421] Remove the sf.net list, set myself as Maintainer.
  * [420be49e] Remove Ralf Meyer from Uploaders.
  * [5af131f5] Make Viking compatible with libgps >= 2.90 (Closes:
    #560243) - thanks to Cyril Brulebois
  * [565d3820] Require libgps-dev 2.90.
  * [e29fabb9] Add bc to build-deps - used by
    check_degrees_conversions.sh.
  * [56d18b6a] Disable make check for the po folder. intltool-update
    gets confused by quilt's pc folder and the .c files in there.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 10 Dec 2009 01:43:35 +0100

viking (0.9.9-2) unstable; urgency=low

  * [f254a656] Fix bashism in test script. (Closes: #548449) - thanks to
    Kurt Roeckx

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 28 Sep 2009 21:53:44 +0200

viking (0.9.9-1) unstable; urgency=low

  * [0948eaa9] Imported Upstream version 0.9.9
    - Supports OSM API 0.6 (Closes: 526995)
  * [edeebbdc] Add default gbp options.
  * [1c90c035] Updating Vcs information.
  * [12a68a60] Dropping patches, applied upstream.
  * [09a546aa] Migrate to debhelper 7

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Sep 2009 19:14:45 +0200

viking (0.9.8-2) unstable; urgency=low

  * Work around missing gpsd_units() from the gpsd header
    files by including gpsdclient.h from gpsd (Closes: #524084).
  * Bumping Standards-Version to 3.8.1, no changes needed.
  * Fixing an implcit declaration in src/util.c.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Apr 2009 22:47:27 +0200

viking (0.9.8-1) unstable; urgency=low

  [ Guilhem Bonnefille ]
  * New upstream version. The following changes were introduced since 0.9.6:
    - Update of most translations
    - Icon is build and installed by upstream now, the according lines
      were removed from debian/rules.
    - src/viking.desktop.in: add GenericName and revise Categories
    - debian/control: Removing quilt to build dependencies.
    - debian/patches: Removing all (no more patches applied).
    - debian/rules: Removing quilt.make include.

  [ Bernd Zeimetz ]
  * debian/control:
   - Bumping standards-version, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 Feb 2009 23:57:16 +0100

viking (0.9.6-2) unstable; urgency=low

  * Unfortunately the google maps fix in 0.9.6-1 worked only for a few days,
    hopefully the now introduced patch is a durable fix (Closes: #491631).
    - debian/control: Adding quilt to build dependencies.
    - debian/patches: Adding viking_google_fix.diff and series file.
      The patch is based on the output of
      svn diff -r739:740 \
                     https://viking.svn.sourceforge.net/svnroot/viking/trunk
    - debian/rules: Adding quilt.make include and dependencies on
      patch/unpatch targets.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 08 Aug 2008 12:31:56 +0200

viking (0.9.6-1) unstable; urgency=low

  * New upstream version. The following changes were introduced since
    0.9.4.20080717 (which was a pre-release of 0.9.5):
    - Manpages are build and installed by upstream now, the according lines
      were removed from debian/rules and debian/viking.manpages.
    - Update of most translations
    - Google map layers stopped working due to changes by Google, this problem
      is fixed now (Closes: #491631). As this feature is used by most of our
      users, it should be fixed for Lenny.
    - The gcget command line needed to be fixed to accommodate negative coords.
      This doesn't affect Debian as the geocaching features are not enabled
      yet.
    - Removing unecessary (and probably ) Makefile.am directive

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Aug 2008 02:17:58 +0200

viking (0.9.4.20080717-1) unstable; urgency=low

  * New upstream version.
  * debian/viking.desktop:
    - Dropping file, provided by upstream now.
  * debian/viking.install:
    - Updating file accordingly - don't install viking.desktop anymore.
  * debian/copyright:
    - Using a shorter identing to make lintian happy.
  * debian/*.xml:
    - Removing files, manpages are shipped by upstream now, but unfortunately
      not being built and installed automatically yet.
  * debian/rules:
    - Use doc/%.xml as source for the manpages.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 18 Jul 2008 23:38:50 +0200

viking (0.9.4.20080614-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 23 Jun 2008 17:20:43 +0200

viking (0.9.4-1) unstable; urgency=low

  * New upstream version.
  * debian/rules, debian/control, debian/patches:
    - Removing all traces of dpatch - no patches needed anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 02 Mar 2008 00:30:45 +0100

viking (0.9.3.20080220-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Moving gpsbabel from Suggests to Recommends.
    - Updating my email address.
    - Adding intltool to Build-Depends.
    - Bumping Standards-Version - no changes needed.
  * debian/patches:
    - viktrwlayer.c-implicit-decl-fix.dpatch,
      use-x-www-browser.dpatch,
      dems.c-implicit-decl-fix.dpatch:
      Removing patches, integrated upstream

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Feb 2008 00:20:35 +0100

viking (0.9.3-2) unstable; urgency=low

  * debian/control:
    - Renaming XS-Vcs-* fields to Vcs-* as they're supported by dpkg now.
  * debian/patches:
    - Updating viktrwlayer.c-implicit-decl-fix.dpatch to fix the implicit
      declaration completely, thanks to Dann Frazier (Closes: #447662)

 -- Bernd Zeimetz <bernd@bzed.de>  Sun, 18 Nov 2007 02:14:59 +0100

viking (0.9.3-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Adding libgps-dev as Build-Dep
    - Adding realtime-features to the description
  * debian/patches:
    - Removing patches which were integrated in the new release, only keeping
      use-x-www-browser.dpatch to set the browser to a sane default.
    - Adding dems.c-implicit-decl-fix and viktrwlayer.c-implicit-decl-fix to
      fix two implicit declarations.

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 22 Oct 2007 15:51:29 +0200

viking (0.9.2-2) unstable; urgency=low

  * debian/control:
    - Adding Homepage field, removing pseudo-field from description
    - Adding XS-Vcs-Svn and XS-Vcs-Browser fields
  * debian/patches:
    - Adding google-download-fix.dpatch which backports commit r436 from svn,
      fixing Google maps/sat downloads
    - Adding dem-fix.patch to fix a bug which resulted in a segfault while
      loading DEM files on 64bit platforms

 -- Bernd Zeimetz <bernd@bzed.de>  Tue, 09 Oct 2007 16:01:25 +0200

viking (0.9.2-1) unstable; urgency=low

  * New upstream version, including a better handling of views
    (Closes: #439193)
  * debian/control:
    - Adding versioned libglib2.0-dev dep. to Build-Depends to make
      backporter's life more easy
  * debian/patches:
    - Removing bugfix-patches from former versions as they're included in
      upstream's release now
    - Adding viking-initial-location.dpatch to fix a crash due to an
      uninitialized mode of the center location

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 03 Sep 2007 12:56:40 +0200

viking (0.9+fix1-2) unstable; urgency=low

  * debian/viking.menu:
    - Updating menu entry according to the new menu policy
  * debian/patches:
    - Adding clipboard-copy-crash-fix.dpatch to fix a segvault which occurred
      on 64bit platforms while copying a layer to the clipboard
  * debian/viking.dirs:
    - Removing not needed entry /usr/share/viking
  * debian/control:
    - Adding automake1.9, autoconf to Build-Deps to fix several warnings on
      build-time
  * debian/rules:
    - Make sure we can build the package even if configure was not created yet
      to support developers who like to build from trunk/svn snapshots

 -- Bernd Zeimetz <bernd@bzed.de>  Sun, 19 Aug 2007 21:31:55 +0200

viking (0.9+fix1-1) unstable; urgency=low

  * Initial release (Closes: #412436)

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 16 Jul 2007 14:15:00 +0200
